ChiliProject - Bug # 734: Liquid integration breaks on 1.9.2

Status: Closed Priority: Normal

Author: Felix Schéfer Category:

Created: 2011-11-26 Assignee: Holger Just

Updated: 2011-11-26 Due date:

Remote issue URL:

Affected version: unstable

Description: There's a problem on 1.9.2 with the liquid integration, as far as | could see it had something to do with gsub!

on a frozen string and sub on a symbol
http://ci.chiliproject.org/job/chiliproject_unstable/DATABASE=mysql2,RUBY=ruby-1.9.2-p290/lastCompletedB
uild/testReport/

Holger, could you have a look?

Associated revisions

2008-02-29 11:54 pm - Jean-Philippe Lang

Let the user choose when deleting issues with reported hours (closes #734, #71):
* to delete the hours

* to assign the hours to the project

* to reassign the hours to another issue

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1182 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-11-26 04:09 pm - Holger Just

[#734] Force instance_variables to string for Ruby 1.9 compatibility

2011-11-26 04:10 pm - Holger Just
[#734] Don't modify text inline.

This is not only a wee bit faster (yay!) but also allows use to deal with
frozen strings and doesn't change content which might inadvertently be saved

later on. And it fixes some broken tests on Ruby 1.9 :)

History

2011-11-26 02:30 pm - Holger Just
Meh.

The reason for most of the errors is almost the same as in #711, i.e. that @instance_variables@ in 1.8 returns an array of strings while it is an array of
symbols in 1.9. I'm still investigating the rest of the errors.

2011-11-26 04:25 pm - Holger Just

- Status changed from Open to Closed

Fixed in commit:28ce07b1 and commit:9f4d12ff.

There is still one test failing, but that one doesn't belong to liquid. See
http://ci.chiliproject.org/job/chiliproject_unstable/70/DATABASE=mysql2,RUBY=ruby-1.9.2-p290/ Unfortunately, | don't really know the cause.
